phing-types

# Class: CommandlineArgument Source Location: /types/Commandline.php
### Class Overview
"Inner" class used for nested xml command line definitions. | ### Methods __construct getParts setFile setLine setPath setValue
### Class Details [line 374] "Inner" class used for nested xml command line definitions. [ Top ] ### Class Methods ### constructor __construct [line 379]
`CommandlineArgument __construct( Commandline $outer)`
#### Tags:
access: | public
#### Parameters:
Commandline | $outer |
[ Top ] ### method getParts [line 429]
`array getParts( )`
Returns the parts this Argument consists of. #### Tags:
return: | string[]
access: | public
[ Top ] ### method setFile [line 421]
`void setFile( $value)`
Sets a single commandline argument to the absolute filename of the given file. #### Tags:
access: | public
#### Parameters:
value | $value | a single commandline argument.
[ Top ] ### method setLine [line 397]
`void setLine( line $line)`
Line to split into several commandline arguments. #### Tags:
access: | public
#### Parameters:
line | $line | line to split into several commandline arguments
[ Top ] ### method setPath [line 411]
`void setPath( value $value)`
Sets a single commandline argument and treats it like a PATH - ensures the right separator for the local platform is used. #### Tags:
access: | public
#### Parameters:
value | $value | a single commandline argument.
[ Top ] ### method setValue [line 388]
`void setValue( string $value)`
Sets a single commandline argument. #### Tags:
access: | public
#### Parameters:
string | $value | a single commandline argument.
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:50:34 +0200 by phpDocumentor 1.4.3